/*!
 * @eslint-sets/eslint-config-vue v2.0.1
 * Eslint config sets for vue2.0
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
'use strict';

const config = {
  plugins: [],
  extends: [
    "plugin:vue/recommended",
    "@eslint-sets/eslint-config-basic"
  ],
  rules: {
    "vue/max-attributes-per-line": "off",
    "vue/no-v-html": "off",
    "vue/component-tags-order": [
      "error",
      {
        order: ["template", "script", "style"]
      }
    ]
  },
  globals: {
    h: true,
    jest: "readonly"
  },
  overrides: [
    {
      files: ["**/__tests__/*.{j,t}s?(x)", "**/*.spec.{j,t}s?(x)"],
      env: {
        mocha: true,
        jest: true
      },
      rules: {
        "no-console": "off",
        "vue/one-component-per-file": "off"
      }
    },
    {
      files: ["*.vue"],
      parser: "vue-eslint-parser",
      parserOptions: {
        parser: "babel-eslint",
        ecmaVersion: 2020,
        sourceType: "module",
        ecmaFeatures: {
          experimentalObjectRestSpread: true,
          experimentalDecorators: true,
          jsx: true
        },
        vueFeatures: {}
      },
      rules: {
        indent: "off",
        "vue/no-v-model-argument": "off",
        "vue/valid-v-model": 0
      }
    }
  ]
};

module.exports = config;
